<app-layout>
  <mat-sidenav-container>
    <mat-sidenav #sidenav role="navigation">
      <app-sidenav-list (sidenavClose)="sidenav.close()"></app-sidenav-list>
    </mat-sidenav>
    <mat-sidenav-content>
      <!-- header is always visible and above the other content -->
      <app-header (sidenavToggle)="sidenav.toggle()" *ngIf="user$ | async"></app-header>

      <!-- show content based on path defined in routing.module -->
      <main>
        <router-outlet></router-outlet>
      </main>
    </mat-sidenav-content>
  </mat-sidenav-container>
</app-layout>
